html{
  --color-green: green;
  --color-red: #eb3b5a;
  --color-black: #000;
  --color-orange: orange;
  --color-purple: #fbc5ff;
}
.color-green {
  color: var(--color-green);
}
.color-red {
  color: var(--color-red);
}
.color-purple {
  color: var(--color-purple);
}
.color-black {
  color: var(--color-black);
}
.color-orange {
  color: var(--color-orange);
}
body {
 background: white;
 font-size: 10px;
 padding: 6px;
}

#popup-button-resources-icon {
  display: none;
  vertical-align: middle;
  height: 12px;
  padding-left: 4px;
}

.popup-primary td {
  valign: middle;
}
.popup-primary img {
  vertical-align: middle;
  height: 15px;
}

.popup-primary-cipher-table {
  margin:0;
  padding:0;
}

/* Style the tab */
.tab {
  overflow: hidden;
}

/* Style the buttons inside the tab */
.tab button {
  background-color: #fff;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 3px 10px;
  transition: 0.3s;
  border-bottom: 1px solid #ddd;
}

/* Change background color of buttons on hover */
.tab button:hover {
  background-color: #ddd;
}

/* Create an active/current tablink class */
.tab button.active {
  background-color: #fff;
  border-left: 1px solid #ddd;
  border-top: 1px solid #ddd;
  border-right: 1px solid #ddd;
  border-bottom: none;
}

/* Style the tab content */
.tab-content {
  display: none;
  padding: 6px 12px;
}

.popup-primary-checkmark-column {
  vertical-align: top;
}

.selectable {
  user-select: all;
}

/* Legacy */
.protocol-table table, th, td, tr {
  border: 0px;
  padding: 0 10px 0 10px;
  font-size: 14px;
}

.warning {
  display: none;
  border-color: #e9a000;
  border-width: 3px;
  border-style: dotted;
  font-size: 14px;
  font-weight: bold;
}

.warning-triangle {
  float:left;
  height: 75px;
  width: 75px;
  padding: 5px 10px 10px 10px;
}

.warning-text {
  padding: 15px 10px 10px 10px;
}

.warning-triangle img {
  max-width: 100%;
  max-height: 100%;
}

/* Dark Mode */
@media (prefers-color-scheme: dark) {
  html{
    --color-green: #30e60b;
    --color-black: #fff;
  }
  body {
    background: #1e1f20;
    color: #e7e8e7;
  }
  a {
    color: #1aa8f5;
  }
  .tab button {
    background-color: #222;
    border-bottom: 1px solid #fff;
    color: #a3a3a3;
  }
  .tab button:hover {
    background-color: #000;
  }
  .tab button.active {
    background-color: #000;
    border-color: #fff;
    color: #fff;
  }
  #subresource-table tr:not(:first-child){
    color: #000;
  }
}
